會員登陸
帳號:

密碼:

記住我



忘記密碼?

現在註冊!
網站導航
最新下載
訪問統計 (自2012/5/3)


正在流覽:   1 名訪客





升級MPLAB X後無法編譯不過
初級會員
註冊日期:
2015/10/01 22:21
所屬群組:
註冊會員
文章: 21
等級: 3; EXP: 31
HP : 0 / 57
MP : 7 / 744
離線
請問各位前輩
MPLAB X由3.05版的升級到5.30版的
XC8由1.34版升級到V2.1版
但原本3.05版可以編譯過的程式,現在都編譯不過
請問是什麼沒設定到嗎?
謝謝

1月21日 14:11:57
轉換PDF檔 列印


Re: 升級MPLAB X後無法編譯不過
管理員
註冊日期:
2010/06/30 16:18
來自 CAE, Microchip Technology Inc.
所屬群組:
站務管理者
註冊會員
文章: 1645
等級: 34; EXP: 26
HP : 0 / 831
MP : 548 / 23479
離線
提供一下您的錯誤訊息或直接打包專案上傳, 這樣比較好找問題.

1月21日 14:29:24
轉換PDF檔 列印


Re: 升級MPLAB X後無法編譯不過
初級會員
註冊日期:
2015/10/01 22:21
所屬群組:
註冊會員
文章: 21
等級: 3; EXP: 31
HP : 0 / 57
MP : 7 / 744
離線
OUTPUT顯示如附圖

附加檔案:



jpg  2.jpg (418.77 KB)
48027_5e26a5e877b92.jpg 1589X873 px

jpg  1.jpg (254.15 KB)
48027_5e26a5efbf3ae.jpg 1367X719 px

1月21日 15:19:51
轉換PDF檔 列印


Re: 升級MPLAB X後無法編譯不過
版主
註冊日期:
2004/04/30 10:53
來自 CAE, Microchip
所屬群組:
站務管理者
註冊會員
MICROCHIP
文章: 14947
等級: 73; EXP: 74
HP : 1091 / 1818
MP : 4982 / 84127
離線
週邊函數庫找不到。

建議將 XC8 編譯器的版本改回 XC8 v1.34 看看。XC8 V2.xx 的版本不再內建週邊函式庫所以要另外安裝函式庫,並需要在 Linker 去做指定,現在都改用 MCC 來取代週邊函數庫了。

1月23日 09:04:09
轉換PDF檔 列印


Re: 升級MPLAB X後無法編譯不過
初級會員
註冊日期:
2015/10/01 22:21
所屬群組:
註冊會員
文章: 21
等級: 3; EXP: 31
HP : 0 / 57
MP : 7 / 744
離線
好的 我在試看看 謝謝

1月30日 09:02:36
轉換PDF檔 列印






無法在此發表文章
可以在此觀看文章
無法回覆文章
無法編輯自己的文章
無法刪除自己的文章
無法發起投票調查
無法在此投票
無法上傳附加檔案
無法不經審核直接發表文章

[進階搜尋]


搜尋
Microchip連結
產品技術問題產品技術支援專線:0800-717718 台北02-25088600 新竹03-5778366 Ext. 8600 高雄07-2137830 MicrochipDIRECT 專線: 07-2137830
Powered by XOOPS © 2001-2012 The XOOPS Project